## ffmpeg-progress-yield-dmo 1.0.1

=== requirements.txt ===
tqdm>=4.38.0

=== debian/changelog ===
ffmpeg-progress-yield-dmo (1.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Jun 2025 00:50:42 +0200

ffmpeg-progress-yield-dmo (0.12.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 May 2025 08:30:52 +0200

=== debian/control ===
Source: ffmpeg-progress-yield-dmo
Section: python
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/slhck/ffmpeg-progress-yield
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-setuptools,
 python3-dev, python3-tqdm,

Package: ffmpeg-progress-yield
Section: utils
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-ffmpeg-progress-yield,
Description: Run an ffmpeg command with its progress yielded.
 It will show a progress bar, and once the command is done, show the ffmpeg
 stderr output.
 .
 You can also redirect the output to a log file.

Package: python3-ffmpeg-progress-yield
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, ffmpeg,
Description: Python3 library to display ffmpeg progress in a progress bar.
 library to display ffmpeg progress in a progress bar.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ffmpeg-progress-yield

%:
	dh $@ -Spybuild

override_dh_python3:
	dh_python3 --requires=requirements.txt -ppython3-ffmpeg-progress-yield
	dh_python3 -pffmpeg-progress-yield

execute_after_dh_auto_install:
	dh_installdirs -pffmpeg-progress-yield usr/bin

	mv debian/python3-ffmpeg-progress-yield/usr/bin/* \
	debian/ffmpeg-progress-yield/usr/bin

=== debian/watch ===
version=4

https://github.com/slhck/ffmpeg-progress-yield/tags \
(?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## ffmpeg-progress-yield-dmo 1.0.2

=== debian/changelog ===
ffmpeg-progress-yield-dmo (1.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Aug 2025 14:02:30 +0200
